SalesOS.

Smart Capture

Automatic activity logging

Smart Capture Controller_process Image

POST
/v1/smart-capture/process

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X POST "https://api.salesos.org/v1/smart-capture/process" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Smart Capture Controller_process Business Card

POST
/v1/smart-capture/business-card

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

autoCreateRequiredstring
curl -X POST "https://api.salesos.org/v1/smart-capture/business-card?autoCreate=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Smart Capture Controller_process Document

POST
/v1/smart-capture/document

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/smart-capture/document" \
  -H "Authorization: Bearer <token>"

Smart Capture Controller_process Handwritten

POST
/v1/smart-capture/handwritten

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X POST "https://api.salesos.org/v1/smart-capture/handwritten" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Smart Capture Controller_process Receipt

POST
/v1/smart-capture/receipt

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/smart-capture/receipt" \
  -H "Authorization: Bearer <token>"

Smart Capture Controller_create Entity

POST
/v1/smart-capture/create-entity

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X POST "https://api.salesos.org/v1/smart-capture/create-entity" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Smart Capture Controller_get Capabilities

GET
/v1/smart-capture/capabilities

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/smart-capture/capabilities" \
  -H "Authorization: Bearer <token>"

Smart Capture Controller_get Config

GET
/v1/smart-capture/config

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/smart-capture/config" \
  -H "Authorization: Bearer <token>"

Smart Capture Controller_update Config

PUT
/v1/smart-capture/config

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X PUT "https://api.salesos.org/v1/smart-capture/config" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'